knowledge-bases
Scout API 1.0.0 — see schemas for shared types.
GET /api/knowledge-bases
list_knowledge_bases
Responses
- 200 — OK
application/json→ KnowledgeBaseResponseList- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/knowledge-bases
create_knowledge_base
Request body
Content-Type: application/json
Schema: KnowledgeBaseCreateBody
Responses
- 201 — Created
application/json→ KnowledgeBaseResponse- 422 — Unprocessable Content
application/json→ ValidationError
DELETE /api/knowledge-bases/{knowledge_base_id}
delete_knowledge_base
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
knowledge_base_id |
path | string (uuid) | yes |
Responses
- 204 — No Content
- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/knowledge-bases/{knowledge_base_id}
get_knowledge_base
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
knowledge_base_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ KnowledgeBaseResponse- 422 — Unprocessable Content
application/json→ ValidationError
PATCH /api/knowledge-bases/{knowledge_base_id}
update_knowledge_base
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
knowledge_base_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: KnowledgeBaseUpdateBody
Responses
- 200 — OK
application/json→ KnowledgeBaseResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/knowledge-bases/{knowledge_base_id}/documents
list_knowledge_base_documents
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
knowledge_base_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ KnowledgeBaseDocumentResponseList- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/knowledge-bases/{knowledge_base_id}/files
upload_file_to_knowledge_base
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
knowledge_base_id |
path | string (uuid) | yes |
Request body
Content-Type: multipart/form-data
Schema: UploadKnowledgeBaseFileForm
Responses
- 201 — Created
application/json→ KnowledgeBaseFileUploadResponse- 422 — Unprocessable Content
application/json→ ValidationError
DELETE /api/knowledge-bases/{knowledge_base_id}/files/{file_id}
delete_knowledge_base_file
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
knowledge_base_id |
path | string (uuid) | yes | |
file_id |
path | string (uuid) | yes |
Responses
- 204 — No Content
- 422 — Unprocessable Content
application/json→ ValidationError
PUT /api/knowledge-bases/{knowledge_base_id}/files/{file_id}
update_knowledge_base_file
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
knowledge_base_id |
path | string (uuid) | yes | |
file_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: KnowledgeBaseFileUpdateBody
Responses
- 200 — OK
application/json→ MessageResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/knowledge-bases/{knowledge_base_id}/links
add_link_to_knowledge_base
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
knowledge_base_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: AddKnowledgeBaseLinkBody
Responses
- 201 — Created
application/json→ KnowledgeBaseLinkResponse- 422 — Unprocessable Content
application/json→ ValidationError
DELETE /api/knowledge-bases/{knowledge_base_id}/links/{document_id}
delete_link_from_knowledge_base
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
knowledge_base_id |
path | string (uuid) | yes | |
document_id |
path | string (uuid) | yes |
Responses
- 204 — No Content
- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/knowledge-bases/{knowledge_base_id}/reindex
reindex_knowledge_base
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
knowledge_base_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ KnowledgeBaseResponse- 422 — Unprocessable Content
application/json→ ValidationError